Subject: Re: bug#36237: Support (rx (and (regexp EXPR) (regexp-quote EXPR)))

From: Noam Postavsky <[email-masked]>
Date: Sun, 16 Jun 2019 15:50:57 -0400

Stefan Monnier <[email-masked]> writes:

>> I'm not sure that it is, e.g., python-rx might bind it too (if it
>> weren't for the fact that python.el needs to maintain backwards
>> compatibility with older Emacs).
>
> I think that would still be "python-rx using internals of rx".
> And that could be fixed if we can rewrite it with rx-macrolet, right?

Yeah, I can buy that.

Mattias, how far is this "ry" thing from being finished?  Would it make
sense to land it before adding this new feature?